/***************************************************************************
*                                                                          *
*   close.c:        Simple program to force the in-use counter of an       *
*                   already loaded lcccd14 module to zero via ioctl()      *
*                   call. This can be necessary sometimes during the       *
*                   debuging phase of the driver internals.                *
*                                                                          *
*   Author:         Robert Schwebel (robert@schwebel.de)                   *
*                                                                          *
*   Revision:       0.0.1 (RS, 19.09.1999)                                 *
*                                                                          *
*   Bugs:           - feature not yet implemented in the driver.           *
*                                                                          *
****************************************************************************

#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>

#include "lcccd14.h"

int main(int argc, char argv[]) {

  int handle;
  int result;

  printf("\nLcCCD14 closing program");
  printf("   (c) 1999 Robert Schwebel (robert@schwebel.de)\n\n");

  handle = open("/dev/lcccd14",O_RDWR);
  if (handle<0) {
    printf("... got no valid handle!\n");
    return(-1);
  }

  result = ioctl(handle,Lc_DEBUG_REMOVE);

  /* close */
  printf("Closing camera...\n");
  close(handle);
  printf("done\n\n");

  return(0);

}
